Linux PPP HOWTO
Prev | Chapter 2. Introduction | Next

# 2.2. Differences between Linux distributions

There are many different Linux distributions and they all have their own idiosyncrasies and ways of doing things.

In particular, there are two different ways a Linux (and Unix) computer actually starts up, configures its interfaces, and so forth.

These are BSD system initialization and System V system initialization. If you dip into some of the Unix news groups, you will find occasional religious wars between proponents of these two systems. If that sort of thing amuses you, have fun burning bandwidth and join in!

Possibly the most widely used distributions are

- Slackware which uses BSD style system initialization

- Red Hat (and its former associate Caldera) which use SysV system initialization (although in a slightly modified form)

- Debian which uses SysV system initialization

BSD style initialization typically keeps its initialization files in `/etc/...` and these files are:-

    	/etc/rc
    	/etc/rc.local
    	/etc/rc.serial
    		(and possibly other files)

Of recent times, some BSD system initialization schemes use a `/etc/rc.d...` directory to hold the start up file rather than putting everything into `/etc`.

System V initialization keeps its initialization files in directories under `/etc/...` or `/etc/rc.d/...` and a number of subdirectories under there:-

    drwxr-xr-x   2 root     root         1024 Jul  6 15:12 init.d
    -rwxr-xr-x   1 root     root         1776 Feb  9 05:01 rc
    -rwxr-xr-x   1 root     root          820 Jan  2  1996 rc.local
    -rwxr-xr-x   1 root     root         2567 Jul  5 20:30 rc.sysinit
    drwxr-xr-x   2 root     root         1024 Jul  6 15:12 rc0.d
    drwxr-xr-x   2 root     root         1024 Jul  6 15:12 rc1.d
    drwxr-xr-x   2 root     root         1024 Jul  6 15:12 rc2.d
    drwxr-xr-x   2 root     root         1024 Jul 18 18:07 rc3.d
    drwxr-xr-x   2 root     root         1024 May 27  1995 rc4.d
    drwxr-xr-x   2 root     root         1024 Jul  6 15:12 rc5.d
    drwxr-xr-x   2 root     root         1024 Jul  6 15:12 rc6.d

If you are trying to track down where your Ethernet interface and associated network routes are actually configured, you will need to track through these files to actually find where the commands are that do this.

Prev | Home | Next
Introduction | Up | PPP configuration tools